The Cloud Filestore API is used for creating and managing cloud file servers.
- REST Resource: v1.projects.locations
- REST Resource: v1.projects.locations.backups
- REST Resource: v1.projects.locations.instances
- REST Resource: v1.projects.locations.instances.snapshots
- REST Resource: v1.projects.locations.operations
Service: file.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://file.s3nsapis.fr
REST Resource: v1.projects.locations
| Methods | |
|---|---|
get |
The method google.cloud.location.Locations.GetLocation is not available in Cloud de Confiance by S3NS. |
list |
The method google.cloud.location.Locations.ListLocations is not available in Cloud de Confiance by S3NS. |
REST Resource: v1.projects.locations.backups
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/backups Creates a backup. |
delete |
DELETE /v1/{name=projects/*/locations/*/backups/*} Deletes a backup. |
get |
GET /v1/{name=projects/*/locations/*/backups/*} Gets the details of a specific backup. |
list |
GET /v1/{parent=projects/*/locations/*}/backups Lists all backups in a project for either a specified location or for all locations. |
patch |
PATCH /v1/{backup.name=projects/*/locations/*/backups/*} Updates the settings of a specific backup. |
REST Resource: v1.projects.locations.instances
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/instances Zonal instances, Managed AD integration, Private Service Access and Private Service Connect are not supported. Creates an instance. |
delete |
DELETE /v1/{name=projects/*/locations/*/instances/*} Deletes an instance. |
get |
GET /v1/{name=projects/*/locations/*/instances/*} Gets the details of a specific instance. |
list |
GET /v1/{parent=projects/*/locations/*}/instances Lists all instances in a project for either a specified location or for all locations. |
patch |
PATCH /v1/{instance.name=projects/*/locations/*/instances/*} Updates the settings of a specific instance. |
promoteReplica |
POST /v1/{name=projects/*/locations/*/instances/*}:promoteReplica Promote the standby instance (replica). |
restore |
POST /v1/{name=projects/*/locations/*/instances/*}:restore Restores an existing instance's file share from a backup. |
revert |
POST /v1/{name=projects/*/locations/*/instances/*}:revert Revert an existing instance's file system to a specified snapshot. |
pauseReplica |
The method google.cloud.filestore.v1.CloudFilestoreManager.PauseReplica is not available in Cloud de Confiance by S3NS. |
resumeReplica |
The method google.cloud.filestore.v1.CloudFilestoreManager.ResumeReplica is not available in Cloud de Confiance by S3NS. |
REST Resource: v1.projects.locations.instances.snapshots
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*/instances/*}/snapshots Creates a snapshot. |
delete |
DELETE /v1/{name=projects/*/locations/*/instances/*/snapshots/*} Deletes a snapshot. |
get |
GET /v1/{name=projects/*/locations/*/instances/*/snapshots/*} Gets the details of a specific snapshot. |
list |
GET /v1/{parent=projects/*/locations/*/instances/*}/snapshots Lists all snapshots in a project for either a specified location or for all locations. |
patch |
PATCH /v1/{snapshot.name=projects/*/locations/*/instances/*/snapshots/*} Updates the settings of a specific snapshot. |
REST Resource: v1.projects.locations.operations
| Methods | |
|---|---|
cancel |
POST /v1/{name=projects/*/locations/*/operations/*}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
DELETE /v1/{name=projects/*/locations/*/operations/*} Deletes a long-running operation. |
get |
GET /v1/{name=projects/*/locations/*/operations/*} Gets the latest state of a long-running operation. |
list |
GET /v1/{name=projects/*/locations/*}/operations Lists operations that match the specified filter in the request. |